Page MenuHomePhabricator

Delete unneeded page-actions menu CSS/JS
Closed, ResolvedPublic2 Story Points

Description

NOTE: T213352 is live in 1.33.0.wmf22 so these changes will need to be made in 1.33.0.wmf24.

In T213352 - AMC: add history link to actions menu, the HTML/CSS/JS of the page-actions menu was modified. Since we serve HTML with a different cache-lifetime than CSS and JS, the old CSS/JS was never deleted in order to maintain compatibility with the cached HTML.

When the Varnish cache expires and we’re certain that all users receive the new HTML, we can safely delete the old CSS/JS.

The following bits are commented with TODO: T213352 and should be deleted:

Minerva Repo

  • pageactions.less #83-136 entire block of CSS
  • downloadPageAction.js #133 all conditionals using the var oldPageActionsDOM
  • init.js #244 all conditionals using the var oldPageActionsDOM

MobileFrontend Repo

  • editor.js #14 remove the #ca-edit a selector.

QA steps

Main goal is to ensure no regressions have been introduced related to the deleted code.

  1. The page-actions menu should still look “correct”
  2. All the page-action buttons should still function correctly.
    1. The languages button should open the languages overlay.
    2. The watchlist button should add/remove item from the watchlist when logged-in & present a toast message when logged out.
    3. The edit button should open the edit overlay.
    4. The download button should open a print dialog.
  3. Section edit links should also open an overlay when clicked.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2019, 11:52 AM
Jdlrobson updated the task description. (Show Details)Mar 19 2019, 7:26 PM
Jdlrobson moved this task from Needs Analysis to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson triaged this task as High priority.Apr 4 2019, 10:13 PM
Jdlrobson moved this task from Triaged but Future to Upcoming on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.

Let's plan this soon.

Change 502885 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/MinervaNeue@master] Removing code related to old page-action menu markup

https://gerrit.wikimedia.org/r/502885

Change 502887 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/MobileFrontend@master] Removing code related to old page-actions menu markup

https://gerrit.wikimedia.org/r/502887

Change 502887 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Removing code related to old page-actions menu markup

https://gerrit.wikimedia.org/r/502887

Change 502885 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Removing code related to old page-action menu markup

https://gerrit.wikimedia.org/r/502885

Jdrewniak removed Jdrewniak as the assignee of this task.Apr 12 2019, 11:05 AM
Niedzielski closed this task as Resolved.Apr 15 2019, 7:23 PM